Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.chart.get_chart_config()
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetChartConfigResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetChartConfigResponse res = sdk.chart().get()
.call();
if (res.chartConfig().isPresent()) {
// handle response
}
}
}curl --request GET \
--url https://api.tradearies.dev/v1/chart/config \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.tradearies.dev/v1/chart/config', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"supported_resolutions": [
"1S",
"5S",
"10S",
"15S",
"30S",
"1",
"5",
"15",
"30",
"60",
"240",
"1D",
"1W",
"1M"
],
"supports_group_request": false,
"supports_marks": false,
"supports_search": true,
"supports_timescale_marks": false,
"supports_time": false
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}{
"error": "<string>",
"codes": [
{
"code": "<string>",
"description": "<string>"
}
]
}Chart
Get Chart Configuration
Returns the chart configuration including supported resolutions and capabilities. This endpoint provides information about what chart features are available, such as supported time resolutions (1S, 5S, 1, 5, 15, 30, 60, 240, 1D, 1W, 1M), search capabilities, and other charting features supported by the API.
GET
/
v1
/
chart
/
config
Python (SDK)
from finance_dev import FinanceDev, models
import os
with FinanceDev(
security=models.Security(
client_id=os.getenv("FINANCEDEV_CLIENT_ID", ""),
client_secret=os.getenv("FINANCEDEV_CLIENT_SECRET", ""),
),
) as fd_client:
res = fd_client.chart.get_chart_config()
# Handle response
print(res)package hello.world;
import java.lang.Exception;
import org.openapis.openapi.AriesJava;
import org.openapis.openapi.models.errors.ErrorResponse;
import org.openapis.openapi.models.operations.GetChartConfigResponse;
public class Application {
public static void main(String[] args) throws ErrorResponse, Exception {
AriesJava sdk = AriesJava.builder()
.bearerAuth(System.getenv().getOrDefault("BEARER_AUTH", ""))
.build();
GetChartConfigResponse res = sdk.chart().get()
.call();
if (res.chartConfig().isPresent()) {
// handle response
}
}
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
Chart configuration retrieved successfully
List of supported time resolutions for charts
Example:
[
"1S",
"5S",
"1",
"5",
"15",
"30",
"60",
"240",
"1D",
"1W",
"1M"
]
Whether the API supports group requests
Whether the API supports marks on charts
Whether the API supports symbol search
Whether the API supports timescale marks
Whether the API supports time endpoint
Was this page helpful?
⌘I